Bug 582739 - CVE-2010-1160, CVE-2010-1161 nano: multiple file editing insecurities [fedora-all]
Summary: CVE-2010-1160, CVE-2010-1161 nano: multiple file editing insecurities [fedora...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nano
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-1160, CVE-2010-1161
TreeView+ depends on / blocked
 
Reported: 2010-04-15 16:57 UTC by Vincent Danen
Modified: 2010-08-17 12:45 UTC (History)
3 users (show)

Fixed In Version: nano-2.0.9-7.fc12
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 12:11:57 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-04-15 16:57:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=582434

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Kamil Dudka 2010-04-15 19:19:56 UTC
fixed in the following packages:

nano-2.0.9-1.fc11
nano-2.0.9-6.fc12
nano-2.2.4-1.fc13
nano-2.2.4-1.fc14

Comment 2 Bug Zapper 2010-04-28 12:02:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Kamil Dudka 2010-04-28 12:11:57 UTC
Updates of the affected packages were released, closing CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.